var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
define(["require", "exports", 'react', '../../../../index', './Layer.Interactive.Example.scss'], function (require, exports, React, index_1) {
    "use strict";
    var LayerInteractiveExample = (function (_super) {
        __extends(LayerInteractiveExample, _super);
        function LayerInteractiveExample() {
            _super.call(this);
            this.state = {
                contentType: 'A'
            };
            this._onChanged = this._onChanged.bind(this);
        }
        LayerInteractiveExample.prototype.render = function () {
            var contentType = this.state.contentType;
            var content;
            switch (contentType) {
                case 'A':
                    content = this._getContentA();
                    break;
                case 'B':
                    content = this._getContentB();
                    break;
                case 'C':
                    content = this._getContentC();
                    break;
            }
            return (React.createElement("div", null, React.createElement(index_1.ChoiceGroup, {options: [
                {
                    key: 'A',
                    text: 'Content A',
                    isChecked: contentType === 'A'
                },
                {
                    key: 'B',
                    text: 'Content B'
                },
                {
                    key: 'C',
                    text: 'Content C'
                }
            ], onChanged: this._onChanged}), React.createElement(index_1.Layer, null, React.createElement("div", {className: 'ms-LayerInteractiveExample-content'}, content))));
        };
        LayerInteractiveExample.prototype._onChanged = function (option) {
            this.setState({
                contentType: option.key
            });
        };
        LayerInteractiveExample.prototype._getContentA = function () {
            return (React.createElement("span", null, "Content A"));
        };
        LayerInteractiveExample.prototype._getContentB = function () {
            return (React.createElement("strong", null, "Content B"));
        };
        LayerInteractiveExample.prototype._getContentC = function () {
            return (React.createElement("em", null, "Content C"));
        };
        return LayerInteractiveExample;
    }(React.Component));
    exports.LayerInteractiveExample = LayerInteractiveExample;
});
